=== modified file 'debian/changelog'
--- debian/changelog	2019-02-12 02:31:42 +0000
+++ debian/changelog	2019-06-21 11:46:52 +0000
@@ -1,3 +1,12 @@
+friendly-recovery (0.2.41) UNRELEASED; urgency=medium
+
+  [Steven Clarkson]
+  * Symlink default.taget to earlydir instead of normaldir to be able 
+    to access recovery mode even if default target has been set via 
+    systemctl set-default (LP: #1821252).
+
+ -- Ioanna Alifieraki  <ioanna-maria.alifieraki@canonical.com>  Tue, 21 Jun 2019 12:40:42 +0000
+
 friendly-recovery (0.2.40) UNRELEASED; urgency=medium
 
   * Trim trailing whitespace.

=== modified file 'lib/systemd/system-generators/friendly-recovery'
--- lib/systemd/system-generators/friendly-recovery	2018-09-24 15:38:48 +0000
+++ lib/systemd/system-generators/friendly-recovery	2019-06-21 11:46:52 +0000
@@ -8,7 +8,7 @@
 for cmdline_arg in "$@"; do
 	if [ "$cmdline_arg" = "recovery" ]
 	then
-		ln -sf /lib/systemd/system/friendly-recovery.target $normaldir/default.target
+		ln -sf /lib/systemd/system/friendly-recovery.target $earlydir/default.target
 		break
 	fi
 done

